Announcement

Collapse
No announcement yet.

Squeezebox Radio would not connect to LMS 8: "Update required"

Collapse
This is a sticky topic.
X
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    #31
    Squeezebox Radio would not connect to LMS

    > How about creating a real fixed new firmware for Radios altogether? Or
    > is this not possible due to licencing/copyright issues?


    I think the message in LMS explains that we were not able to create a
    new firmware when we tried last time (which admittedly was a few years ago).

    Now that said, there are always people more dedicated and brave than a
    company who's asked to maintain a long abandoned device... There's
    indeed an effort going on to provide an updated firmware for the Radio:



    It's not available to a larger audience, and I have no idea where the
    journey goes. But just as a hint as to what is involved in getting this
    stunt pulled off: the build is run on a Linux from 2010. Such an old
    system is having a hard time satisfying today's web servers and has a
    hard time downloading from them. That was one of the reasons why we
    (well, mostly me, tbh) gave up trying last time...

    --

    Michael
    Michael

    "It doesn't work - what shall I do?" - "Please check your server.log and/or scanner.log file!"
    (LMS: Settings/Information)

    Comment


      #32
      I also still get the message although I have patched all 6 radios that seem to have proliferated round the house.
      Is it possible you could give a clue on the server information page as to which radio is the offending one? I don't think I have 7, but you never know.!

      Michael - If you are finding a radio, can you perhaps display the mac or ip address? I assume it is not showing in the list of attached players? Or perhaps post the MAC address to the log?
      3 of every player ever sold back to SLIMP3 (missed Booms)

      Comment


        #33
        Originally posted by yeomanspc View Post
        I also still get the message although I have patched all 6 radios that seem to have proliferated round the house.
        Have you tried restarting LMS? I've just patched my three radios, and I still had the message in red on the Information page. Restarting LMS cleared it for me.

        Comment


          #34
          Squeezebox Radio would not connect to LMS

          > Michael - If you are finding a radio, can you perhaps display the mac or
          > ip address? I assume it is not showing in the list of attached players?
          > Or perhaps post the MAC address to the log?


          You'd think that would be easy (as I thought, too!). But I still have to
          find a way to do it.

          --

          Michael
          Michael

          "It doesn't work - what shall I do?" - "Please check your server.log and/or scanner.log file!"
          (LMS: Settings/Information)

          Comment


            #35
            Patch Installer (Installed)

            Hi

            I've installed Patch Installer and rebooted, but the only option I see is "Remove: 1.2.36", I don't see an option to install "Version Comparison Fix".

            Am I missing something obvious ?

            Comment


              #36
              Originally posted by redgum View Post
              Hi

              I've installed Patch Installer and rebooted, but the only option I see is "Remove: 1.2.36", I don't see an option to install "Version Comparison Fix".

              Am I missing something obvious ?
              Settings/Advanced/Patch Installer
              You should see a list of patches. You are looking at Applet Installer.

              Sent from my Pixel 3a using Tapatalk
              Living Room: Touch or Squeezelite (Pi3B) > Topping E30 > Audiolab 8000A > Monitor Audio S5 + BK200-XLS DF
              Bedroom: Radio
              Bathroom: Radio

              Comment


                #37
                Thank you.

                Comment


                  #38
                  I am currently running LMS 8.0 with multiple squeezeboxes including a few (already patched) Radios. I will soon be acquiring another Radio which is being retired by a friend. This Radio will not have the patch installed and my not even have the latest firmware. Do I need to downgrade to 7.9 before connecting this Radio, or will I be able to install the latest firmware and the patch while running the latest 8.0?

                  Comment


                    #39
                    patch via SSH?

                    Originally posted by mherger View Post
                    > Any suggestions how I can patch the SBR with no screen?

                    If SSH was enabled on the unit you could patch it manually.

                    Otherwise you'll have to rely on the assumption that faking the server
                    version string under some circumstances won't break anything, but let
                    you use your device as before.
                    --

                    Michael
                    I have the same problem as badboygolf16v, ie a radio with no screen, but I do have the SSH port enabled. Are there any instructions how to apply the patch via SSH please.
                    Server - LMS 8.0.0 Pi3B 1GB / Max2play / music library SDHC
                    Study - Squeezebox duet
                    Lounge - Squeezebox Touch & Denon Amp
                    Kitchen - 2 x Squeezebox Radio as a stereo pair
                    Bedroom - Squeezebox Radio

                    Spares - 1xRadio, 1xRPi

                    Comment


                      #40
                      Squeezebox Radio would not connect to LMS

                      > I am currently running LMS 8.0 with multiple squeezeboxes including a
                      > few (already patched) Radios. I will soon be acquiring another Radio
                      > which is being retired by a friend. This Radio will not have the patch
                      > installed and my not even have the latest firmware. Do I need to


                      The lates firmware is pretty old. If the device ever connected to
                      mysb.com (have your friend remove it from his account before you get
                      it!) it'll have the latest firmware.

                      > downgrade to 7.9 before connecting this Radio, or will I be able to
                      > install the latest firmware and the patch while running the latest 8.0?


                      It should work with LMS8. There's currently a hack in there which should
                      still allow it to connect, even without the patch, but will bug you to
                      patch it.

                      --

                      Michael
                      Michael

                      "It doesn't work - what shall I do?" - "Please check your server.log and/or scanner.log file!"
                      (LMS: Settings/Information)

                      Comment


                        #41
                        Squeezebox Radio would not connect to LMS

                        > I have the same problem as badboygolf16v, ie a radio with no screen, but
                        > I do have the SSH port enabled. Are there any instructions how to apply
                        > the patch via SSH please.


                        How familiar are you with the patch command? You can download the patch
                        itself from http://www.herger.net/_data/SlimServer-0.3.lua.patch. Worst
                        case you can apply the changes manually. You can use vi to edit the files.

                        --

                        Michael
                        Michael

                        "It doesn't work - what shall I do?" - "Please check your server.log and/or scanner.log file!"
                        (LMS: Settings/Information)

                        Comment


                          #42
                          Originally posted by mherger View Post
                          >How familiar are you with the patch command? You can download the patch
                          itself from http://www.herger.net/_data/SlimServer-0.3.lua.patch. Worst
                          case you can apply the changes manually. You can use vi to edit the files.

                          --

                          Michael
                          Hi Michael, I am not familiar with the patch command, I have a little linux and generally muddle through. Hapy to move files, set permissions and edit.

                          So I have had a quick google, do you think the following will work?

                          SSH into radio with root and root password.

                          cd ..
                          cd usr

                          Patch and backup the file to be patched like this:

                          #patch -p0 -b -V numbered -i SlimServer-0.3.lua.patch


                          If I need to reverse the patch then do this

                          #patch -p0 -R -i SlimServer-0.3.lua.patch

                          or rename backup file.

                          Lee
                          Last edited by LeeC77; 2020-05-17, 14:49.
                          Server - LMS 8.0.0 Pi3B 1GB / Max2play / music library SDHC
                          Study - Squeezebox duet
                          Lounge - Squeezebox Touch & Denon Amp
                          Kitchen - 2 x Squeezebox Radio as a stereo pair
                          Bedroom - Squeezebox Radio

                          Spares - 1xRadio, 1xRPi

                          Comment


                            #43
                            Originally posted by LeeC77 View Post
                            Hi Michael, I am not familiar with the patch command, I have a little linux and generally muddle through. Hapy to move files, set permissions and edit.

                            So I have had a quick google, do you think the following will work?

                            SSH into radio with root and root password.

                            cd ..
                            cd usr

                            Patch and backup the file to be patched like this:

                            #patch -p0 -b -V numbered -i SlimServer-0.3.lua.patch


                            If I need to reverse the patch then do this

                            #patch -p0 -R -i SlimServer-0.3.lua.patch

                            or rename backup file.

                            Lee
                            Michael doesn't see "Edits".
                            Server - LMS 8.4.0 RPi4B 4GB/NanoSound ONE case/pCP 8.1.0 - 75K library, playlists & LMS cache on Sata SSD (ntfs)

                            Lounge - DAC32 - AudioEngine B2
                            Office - RPi 3B+/HiFiBerry DAC HAT/RPi screen - Edifier D12
                            Bedroom - Echo Show 8

                            Spares - 1xSB Touch, 1xSB3, 4xRPi, AVI DM5 speakers

                            Comment


                              #44
                              No way to apply patch

                              Hi there,
                              Just installed LMS v.8 yesterday and noticed the warning message today.
                              Try first to install LMS 7.7.6 on MacOS (dl from mysqueezebox.com web site). Connecting the radios, Partch applied, but warning still present when connecting back to the Syno LMS 8.0. I try it twice.
                              I did not manage to install the "Version Comparison Fix" thru mysqueezebox.com : removing, then installing Patch installer is OK. But then Patch installer menu just beep with not available items
                              Just waiting for more advices
                              Thanks

                              Edit: It works if you reboot LMS 8, but never noticed the "lms8" addon
                              Last edited by lopasilver; 2020-05-17, 15:58. Reason: Patch applied
                              2 Touch, 2 Radios, Squeezeplay
                              Synology DS213 w/ LMS v.8
                              Mac Pro /MacOS High-Sierra & HP Probook 450 G5 /Manjaro Linux

                              Comment


                                #45
                                Squeezebox Radio would not connect to LMS

                                > But then Patch installer menu just beep with not available items
                                > Just waiting for more advices


                                Anything in LMS' server.log when this happens?

                                --

                                Michael
                                Michael

                                "It doesn't work - what shall I do?" - "Please check your server.log and/or scanner.log file!"
                                (LMS: Settings/Information)

                                Comment

                                Working...
                                X